package com.diegocayo.organizame.presentation.features.main.subjects.create

sealed class CreateSubjectEvent {
    data class OnNameChange(val name: String) : CreateSubjectEvent()
    data class OnAbbreviationChange(val abbreviation: String) : CreateSubjectEvent()
    data class OnColorChange(val color: Int) : CreateSubjectEvent()
    data object OnSubmit : CreateSubjectEvent()
} 